---

- name: Backup current switch config (ios)
  ios_config:
    backup: yes

- name: Get IOS facts
  ios_facts:
    gather_subset: all
  register: iosfacts_out

- name: Export interface config to /tmp/$hostname.cfg
  template:
    src: "templates/cisco.j2"
    dest: "/tmp/{{ hostname }}"

- name: Deploy Switch Config
  ios_config:
    src: "templates/cisco.j2"
    #    match: line
